blob: 8010afae951bc3eabd466afcd9a9bcb75f0cb455 [file] [log] [blame]
Tom Rini1a62a722019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyes8b0b5012023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes74bcbb12023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyes8b0b5012023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleycb735172022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rini8b987692023-07-13 20:37:36 -040013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230624-20Jul2023
Tom Rini1a62a722019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rini1a62a722019-06-19 09:25:17 -040017 - testsuites
Tom Rinib29cb052019-07-24 13:09:31 -040018 - test.py
Tom Rini1a62a722019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rini1a62a722019-06-19 09:25:17 -040022 stage: test.py
Tom Rini58b35852023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Tom Rini1a62a722019-06-19 09:25:17 -040024 before_script:
25 # Clone uboot-test-hooks
Tom Rinibd181a22022-11-21 12:52:40 -050026 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini85ae52b2021-02-24 17:05:04 -050027 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rini1a62a722019-06-19 09:25:17 -040028 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
29 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini28a51232019-10-04 12:12:54 -040030 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
31 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Meng49fb28a2020-03-28 07:25:29 -070032 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Bin Meng0a8239a2023-06-20 13:55:00 +080033 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
34 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070035 fi
Bin Meng0e60b3a2021-08-26 23:33:35 +080036 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Bin Meng0a8239a2023-06-20 13:55:00 +080037 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
38 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070039 fi
Tom Rinib29cb052019-07-24 13:09:31 -040040
Tom Rini1a62a722019-06-19 09:25:17 -040041 after_script:
Marek Vasute5670732023-03-03 02:22:25 +010042 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt24df1b12019-12-19 13:30:32 +010043 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rini1a62a722019-06-19 09:25:17 -040044 script:
Simon Glassdd5c9542020-03-18 09:42:57 -060045 # If we've been asked to use clang only do one configuration.
Simon Glass4e32fed2020-03-18 09:42:55 -060046 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass1aa168c2022-08-03 12:13:09 -060047 - echo BUILD_ENV ${BUILD_ENV}
Simon Glass9cea4792023-01-15 14:16:00 -070048 - if [ -n "${BUILD_ENV}" ]; then
49 export ${BUILD_ENV};
50 fi
Simon Glass7ec12552020-03-18 09:43:00 -060051 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
52 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020053 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
54 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
55 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020056 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
57 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0e60b3a2021-08-26 23:33:35 +080058 # create sdcard / spi-nor images for sifive unleashed using genimage
59 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
60 mkdir -p root;
61 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
62 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
63 rm -rf tmp;
64 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
65 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
66 rm -rf tmp;
67 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
68 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
69 fi
Simon Glassbfb2a7f2022-01-21 10:23:01 -070070 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
71 wget -O -
72 "https://drive.google.com/uc?id=1x6nrtWIyIRPLS2cQBwYTnT2TbOI8UjmM&export=download" |
73 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
74 wget -O -
75 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
76 cbfstool;
77 chmod a+x cbfstool;
78 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
79 fi
Tom Rini085b8972019-10-24 11:59:27 -040080 - virtualenv -p /usr/bin/python3 /tmp/venv
81 - . /tmp/venv/bin/activate
82 - pip install -r test/py/requirements.txt
Simon Glass4080d092020-03-18 09:42:56 -060083 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass4e32fed2020-03-18 09:42:55 -060084 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rini1a62a722019-06-19 09:25:17 -040085 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardtf3092472020-07-10 22:04:40 +020086 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass4080d092020-03-18 09:42:56 -060087 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glasscec1e852020-03-18 09:42:59 -060088 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasute5670732023-03-03 02:22:25 +010089 artifacts:
90 when: always
91 paths:
92 - "*.html"
93 - "*.css"
94 expire_in: 1 week
Tom Rini1a62a722019-06-19 09:25:17 -040095
Heinrich Schuchardta11cb572019-10-06 12:26:16 +020096build all 32bit ARM platforms:
Tom Rini1a62a722019-06-19 09:25:17 -040097 stage: world build
98 script:
99 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500100 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinif586cda2023-07-22 00:14:46 +0530101 pip install -r tools/buildman/requirements.txt;
Tom Rinid7713ad2022-11-09 19:14:53 -0700102 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600103 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600104 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400105 exit $ret;
106 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400107
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200108build all 64bit ARM platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400109 stage: world build
110 script:
Tom Rini26a426a2020-02-11 12:41:14 -0500111 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rinif0db8392019-07-18 07:28:36 -0400112 - . /tmp/venv/bin/activate
Tom Rini9f7bda12019-07-17 17:51:28 -0400113 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500114 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinif586cda2023-07-22 00:14:46 +0530115 pip install -r tools/buildman/requirements.txt;
Tom Rinid7713ad2022-11-09 19:14:53 -0700116 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600117 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600118 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400119 exit $ret;
120 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400121
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200122build all PowerPC platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400123 stage: world build
124 script:
125 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500126 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassdd5c9542020-03-18 09:42:57 -0600127 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
128 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600129 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400130 exit $ret;
131 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400132
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200133build all other platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400134 stage: world build
135 script:
136 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500137 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700138 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600139 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600140 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400141 exit $ret;
142 fi;
Tom Rini1a62a722019-06-19 09:25:17 -0400143
Tom Rinibb9b9c12022-12-04 10:14:15 -0500144check for new CONFIG symbols outside Kconfig:
Tom Rinic1a7de52021-12-14 13:36:41 -0500145 stage: testsuites
146 script:
Tom Rinibb9b9c12022-12-04 10:14:15 -0500147 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
148 # If grep succeeds and finds a match the test fails as we should
149 # have no matches.
150 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rinia03efb62023-01-10 11:19:46 -0500151 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
152 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinic1a7de52021-12-14 13:36:41 -0500153
Tom Rini1a62a722019-06-19 09:25:17 -0400154# QA jobs for code analytics
155# static code analysis with cppcheck (we can add --enable=all later)
156cppcheck:
Tom Rini1a62a722019-06-19 09:25:17 -0400157 stage: testsuites
158 script:
Simon Glass4ee7f522020-04-05 14:35:43 -0600159 - cppcheck -j$(nproc) --force --quiet --inline-suppr .
Tom Rini1a62a722019-06-19 09:25:17 -0400160
161# search for TODO within source tree
162grep TODO/FIXME/HACK:
Tom Rini1a62a722019-06-19 09:25:17 -0400163 stage: testsuites
164 script:
165 - grep -r TODO .
166 - grep -r FIXME .
167 # search for HACK within source tree and ignore HACKKIT board
168 - grep -r HACK . | grep -v HACKKIT
169
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100170# build documentation
171docs:
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100172 stage: testsuites
173 script:
Heinrich Schuchardt836049d2021-01-25 22:06:25 +0100174 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
175 - . /tmp/venvhtml/bin/activate
176 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt8a6414d2023-05-02 05:04:11 +0200177 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100178 - make infodocs
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100179
Tom Rini1a62a722019-06-19 09:25:17 -0400180# some statistics about the code base
181sloccount:
Tom Rini1a62a722019-06-19 09:25:17 -0400182 stage: testsuites
183 script:
184 - sloccount .
185
186# ensure all configs have MAINTAINERS entries
187Check for configs without MAINTAINERS entry:
Tom Rini1a62a722019-06-19 09:25:17 -0400188 stage: testsuites
189 script:
Simon Glass1b218422023-07-19 17:48:27 -0600190 - ./tools/buildman/buildman --maintainer-check || exit 0
Tom Rini1a62a722019-06-19 09:25:17 -0400191
192# Ensure host tools build
193Build tools-only:
Tom Rini1a62a722019-06-19 09:25:17 -0400194 stage: testsuites
195 script:
196 - make tools-only_config tools-only -j$(nproc)
197
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200198# Ensure env tools build
199Build envtools:
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200200 stage: testsuites
201 script:
202 - make tools-only_config envtools -j$(nproc)
203
Tom Rini72618332020-03-11 18:11:15 -0400204Run binman, buildman, dtoc, Kconfig and patman testsuites:
Tom Rini1a62a722019-06-19 09:25:17 -0400205 stage: testsuites
206 script:
Tom Rinid7ae9322019-08-12 10:09:08 -0400207 - git config --global user.name "GitLab CI Runner";
208 git config --global user.email trini@konsulko.com;
Tom Rinib6d4e082022-08-09 21:08:54 -0400209 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7ae9322019-08-12 10:09:08 -0400210 export USER=gitlab;
Tom Rini26a426a2020-02-11 12:41:14 -0500211 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rinid7ae9322019-08-12 10:09:08 -0400212 . /tmp/venv/bin/activate;
Tom Rini38229b52021-02-26 07:52:29 -0500213 pip install -r test/py/requirements.txt;
Tom Rinif586cda2023-07-22 00:14:46 +0530214 pip install -r tools/buildman/requirements.txt;
Simon Glassbf0a8132020-03-18 09:42:50 -0600215 export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl;
Tom Rinid7ae9322019-08-12 10:09:08 -0400216 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
217 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinib6d4e082022-08-09 21:08:54 -0400218 set +e;
Simon Glass6c914e42021-03-15 17:25:34 +1300219 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
220 --board sandbox_spl;
Tom Rinib6d4e082022-08-09 21:08:54 -0400221 set -e;
Tom Rinid7ae9322019-08-12 10:09:08 -0400222 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
223 ./tools/buildman/buildman -t;
224 ./tools/dtoc/dtoc -t;
Simon Glass6bb74de2020-07-05 21:41:55 -0600225 ./tools/patman/patman test;
Tom Rini72618332020-03-11 18:11:15 -0400226 make testconfig
Tom Rini1a62a722019-06-19 09:25:17 -0400227
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200228Run tests for Nokia RX-51 (aka N900):
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200229 stage: testsuites
230 script:
Pali Rohárce0f7452023-02-21 11:22:29 -0500231 - mkdir nokia_rx51_tmp;
232 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
233 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
234 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
235 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
236 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
237 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
Tom Rini6d6ddab2023-07-13 20:37:35 -0400238 export PATH=/opt/gcc-13.1.0-nolibc/arm-linux-gnueabi/bin:$PATH;
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200239 test/nokia_rx51_test.sh
240
Simon Glass642e51a2022-02-11 13:23:26 -0700241# Check for any pylint regressions
242Run pylint:
243 stage: testsuites
244 script:
Tom Rinib6d4e082022-08-09 21:08:54 -0400245 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glass642e51a2022-02-11 13:23:26 -0700246 - pip install -r test/py/requirements.txt
Tom Rinif586cda2023-07-22 00:14:46 +0530247 - pip install -r tools/buildman/requirements.txt
Tom Rinie47bbf72022-03-25 08:19:09 -0400248 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glass642e51a2022-02-11 13:23:26 -0700249 - export PATH=${PATH}:~/.local/bin
250 - echo "[MASTER]" >> .pylintrc
251 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
252 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400253 - set +e
Simon Glass642e51a2022-02-11 13:23:26 -0700254 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
255 --board sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400256 - set -e
Simon Glass642e51a2022-02-11 13:23:26 -0700257 - pylint --version
258 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
259 - make pylint_err
260
Simon Glass441a3d02023-02-13 08:56:39 -0700261# Check for pre-schema driver model tags
262Check for pre-schema tags:
263 stage: testsuites
264 script:
265 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
266 # If grep succeeds and finds a match the test fails as we should
267 # have no matches.
268 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
269
Simon Glassc21a5282023-02-23 18:18:24 -0700270# Check we can package the Python tools
271Check packing of Python tools:
272 stage: testsuites
273 script:
274 - make pip
275
Tom Rini1a62a722019-06-19 09:25:17 -0400276# Test sandbox with test.py
277sandbox test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400278 variables:
279 TEST_PY_BD: "sandbox"
Tom Rini1a62a722019-06-19 09:25:17 -0400280 <<: *buildman_and_testpy_dfn
281
Tom Rini0219d012019-11-06 19:30:47 -0500282sandbox with clang test.py:
Tom Rini0219d012019-11-06 19:30:47 -0500283 variables:
284 TEST_PY_BD: "sandbox"
Tom Rinid7e06782023-03-21 15:07:45 -0400285 OVERRIDE: "-O clang-16"
Tom Rini0219d012019-11-06 19:30:47 -0500286 <<: *buildman_and_testpy_dfn
287
Simon Glass1aa168c2022-08-03 12:13:09 -0600288sandbox without LTO test.py:
289 variables:
290 TEST_PY_BD: "sandbox"
291 BUILD_ENV: "NO_LTO=1"
292 <<: *buildman_and_testpy_dfn
293
Tom Rini1a62a722019-06-19 09:25:17 -0400294sandbox_spl test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400295 variables:
296 TEST_PY_BD: "sandbox_spl"
Simon Glassafb26ba2020-10-25 20:38:36 -0600297 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rini1a62a722019-06-19 09:25:17 -0400298 <<: *buildman_and_testpy_dfn
299
Simon Glass6c914e42021-03-15 17:25:34 +1300300sandbox_noinst_test.py:
Simon Glass6c914e42021-03-15 17:25:34 +1300301 variables:
302 TEST_PY_BD: "sandbox_noinst"
303 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
304 <<: *buildman_and_testpy_dfn
305
Simon Glassa31eff32022-04-30 00:56:57 -0600306sandbox_vpl test.py:
307 variables:
308 TEST_PY_BD: "sandbox_vpl"
Simon Glass8b609872023-04-02 14:01:26 +1200309 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa31eff32022-04-30 00:56:57 -0600310 <<: *buildman_and_testpy_dfn
311
Simon Glass9cea4792023-01-15 14:16:00 -0700312# Enable tracing and disable LTO, to ensure functions are not elided
313sandbox trace_test.py:
314 variables:
315 TEST_PY_BD: "sandbox"
316 BUILD_ENV: "FTRACE=1 NO_LTO=1"
317 TEST_PY_TEST_SPEC: "trace"
318 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
319 <<: *buildman_and_testpy_dfn
320
Tom Rini699c0b92019-07-17 16:06:57 -0400321evb-ast2500 test.py:
Tom Rini699c0b92019-07-17 16:06:57 -0400322 variables:
323 TEST_PY_BD: "evb-ast2500"
324 TEST_PY_ID: "--id qemu"
Tom Rini699c0b92019-07-17 16:06:57 -0400325 <<: *buildman_and_testpy_dfn
326
Joel Stanleyb24087a2022-06-29 16:35:25 +0930327evb-ast2600 test.py:
328 variables:
329 TEST_PY_BD: "evb-ast2600"
330 TEST_PY_ID: "--id qemu"
331 <<: *buildman_and_testpy_dfn
332
Tom Rini1a62a722019-06-19 09:25:17 -0400333sandbox_flattree test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400334 variables:
335 TEST_PY_BD: "sandbox_flattree"
Tom Rini1a62a722019-06-19 09:25:17 -0400336 <<: *buildman_and_testpy_dfn
337
Kristian Amlie15e30102021-09-07 08:37:51 +0200338vexpress_ca9x4 test.py:
339 variables:
340 TEST_PY_BD: "vexpress_ca9x4"
341 TEST_PY_ID: "--id qemu"
342 <<: *buildman_and_testpy_dfn
343
Tom Rini1a62a722019-06-19 09:25:17 -0400344integratorcp_cm926ejs test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400345 variables:
346 TEST_PY_BD: "integratorcp_cm926ejs"
347 TEST_PY_TEST_SPEC: "not sleep"
348 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400349 <<: *buildman_and_testpy_dfn
350
351qemu_arm test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400352 variables:
353 TEST_PY_BD: "qemu_arm"
354 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400355 <<: *buildman_and_testpy_dfn
356
357qemu_arm64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400358 variables:
359 TEST_PY_BD: "qemu_arm64"
360 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400361 <<: *buildman_and_testpy_dfn
362
Marek Vasuta21e1122023-03-23 01:22:41 +0100363qemu_m68k test.py:
364 variables:
365 TEST_PY_BD: "M5208EVBE"
366 TEST_PY_ID: "--id qemu"
367 TEST_PY_TEST_SPEC: "not sleep and not efi"
368 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
369 <<: *buildman_and_testpy_dfn
370
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200371qemu_malta test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200372 variables:
373 TEST_PY_BD: "malta"
374 TEST_PY_TEST_SPEC: "not sleep and not efi"
375 TEST_PY_ID: "--id qemu"
376 <<: *buildman_and_testpy_dfn
377
378qemu_maltael test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200379 variables:
380 TEST_PY_BD: "maltael"
381 TEST_PY_TEST_SPEC: "not sleep and not efi"
382 TEST_PY_ID: "--id qemu"
383 <<: *buildman_and_testpy_dfn
384
385qemu_malta64 test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200386 variables:
387 TEST_PY_BD: "malta64"
388 TEST_PY_TEST_SPEC: "not sleep and not efi"
389 TEST_PY_ID: "--id qemu"
390 <<: *buildman_and_testpy_dfn
391
392qemu_malta64el test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200393 variables:
394 TEST_PY_BD: "malta64el"
395 TEST_PY_TEST_SPEC: "not sleep and not efi"
396 TEST_PY_ID: "--id qemu"
397 <<: *buildman_and_testpy_dfn
398
Tom Rini1a62a722019-06-19 09:25:17 -0400399qemu-ppce500 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400400 variables:
401 TEST_PY_BD: "qemu-ppce500"
402 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400403 <<: *buildman_and_testpy_dfn
404
Bin Menga379d332020-03-28 07:25:27 -0700405qemu-riscv32 test.py:
Bin Menga379d332020-03-28 07:25:27 -0700406 variables:
407 TEST_PY_BD: "qemu-riscv32"
408 TEST_PY_TEST_SPEC: "not sleep"
Bin Menga379d332020-03-28 07:25:27 -0700409 <<: *buildman_and_testpy_dfn
410
Tom Rini7298d822019-08-02 11:32:37 -0400411qemu-riscv64 test.py:
Tom Rini7298d822019-08-02 11:32:37 -0400412 variables:
413 TEST_PY_BD: "qemu-riscv64"
414 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini7298d822019-08-02 11:32:37 -0400415 <<: *buildman_and_testpy_dfn
416
Bin Meng49fb28a2020-03-28 07:25:29 -0700417qemu-riscv32_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700418 variables:
419 TEST_PY_BD: "qemu-riscv32_spl"
420 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700421 <<: *buildman_and_testpy_dfn
422
423qemu-riscv64_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700424 variables:
425 TEST_PY_BD: "qemu-riscv64_spl"
426 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700427 <<: *buildman_and_testpy_dfn
428
Tom Rini1a62a722019-06-19 09:25:17 -0400429qemu-x86 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400430 variables:
431 TEST_PY_BD: "qemu-x86"
432 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400433 <<: *buildman_and_testpy_dfn
434
435qemu-x86_64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400436 variables:
437 TEST_PY_BD: "qemu-x86_64"
438 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400439 <<: *buildman_and_testpy_dfn
440
Marek Vasut0e125752020-09-14 21:55:58 +0200441r2dplus_i82557c test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200442 variables:
443 TEST_PY_BD: "r2dplus"
444 TEST_PY_ID: "--id i82557c_qemu"
445 <<: *buildman_and_testpy_dfn
446
447r2dplus_pcnet test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200448 variables:
449 TEST_PY_BD: "r2dplus"
450 TEST_PY_ID: "--id pcnet_qemu"
451 <<: *buildman_and_testpy_dfn
452
453r2dplus_rtl8139 test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200454 variables:
455 TEST_PY_BD: "r2dplus"
456 TEST_PY_ID: "--id rtl8139_qemu"
457 <<: *buildman_and_testpy_dfn
458
459r2dplus_tulip test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200460 variables:
461 TEST_PY_BD: "r2dplus"
462 TEST_PY_ID: "--id tulip_qemu"
463 <<: *buildman_and_testpy_dfn
464
Bin Meng0e60b3a2021-08-26 23:33:35 +0800465sifive_unleashed_sdcard test.py:
466 variables:
467 TEST_PY_BD: "sifive_unleashed"
468 TEST_PY_ID: "--id sdcard_qemu"
469 <<: *buildman_and_testpy_dfn
470
471sifive_unleashed_spi-nor test.py:
472 variables:
473 TEST_PY_BD: "sifive_unleashed"
474 TEST_PY_ID: "--id spi-nor_qemu"
475 <<: *buildman_and_testpy_dfn
476
Michal Simekf7c6ee72020-02-13 15:03:29 +0100477xilinx_zynq_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400478 variables:
Michal Simekf7c6ee72020-02-13 15:03:29 +0100479 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rini1a62a722019-06-19 09:25:17 -0400480 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400481 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400482 <<: *buildman_and_testpy_dfn
483
484xilinx_versal_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400485 variables:
486 TEST_PY_BD: "xilinx_versal_virt"
487 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400488 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400489 <<: *buildman_and_testpy_dfn
490
491xtfpga test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400492 variables:
493 TEST_PY_BD: "xtfpga"
494 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400495 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400496 <<: *buildman_and_testpy_dfn
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700497
498coreboot test.py:
499 variables:
500 TEST_PY_BD: "coreboot"
501 TEST_PY_TEST_SPEC: "not sleep"
502 TEST_PY_ID: "--id qemu"
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700503 <<: *buildman_and_testpy_dfn